/*

 Les 2 VO Arduino Lessenserie Fontys Hogeschool ICT
   THEORIE: PIN HIGH LOW
  
 DEEL 1: Eerste circuit bouwen door tussen 5V en Massa (Ground) een drukknop 
 en een LED te zetten. Gebruik een 220 Ohm weerstand om het amperage wat te minderen.
 Anders gaat de LED (light emitting diode) kapot (en evt ook de Arduino....).
 
 DEEL 2: Vervolgens met onderstaande sketch Drukknop (aan PIN 12) gebruiken 
 om de LED (aan PIN 2) AAN of UIT te zetten. 
 
 Benodigde onderdelen:
 1 rode LED 
 drukknop
 220 Ohm weerstand
 
  Het circuit:
 * LED van pin 2 naar Massa 
 * Drukknop aan pin 12 van +5V
 * 10KOhm weerstaand aan pin 12 van Massa
 
 */

// Constanten veranderen niet. 
// Hier gebruikt om PIN's voor drukknop en LED te definieren:
const int buttonPin = 12;     // nummer van de drukknop PIN
const int ledPin =  2;        // nummer van de LED PIN

// vvariabelen kunnen wel veranderen:
int buttonState = 0;         // variabele waarin de stand van de drukknop wordt opgeslagen

void setup() {
 // Serial.begin(9600);
  // Initialiseer de LED PIN als een OUTPUT:
  pinMode(ledPin, OUTPUT);      
  // initialiseer de drukknop PIN als een INPUT:
  pinMode(buttonPin, INPUT);     
}

void loop(){
  // vraag de stand van de drukknop op:
  buttonState = digitalRead(buttonPin);
//  Serial.print("drukknop is: ");
//  Serial.print(buttonState);
//  delay(500);
  // controleer of de drukknop wordt ingedrukt
  // als dat zo is, dan buttonState is HIGH:
  if (buttonState == HIGH) {     
    // zet de LED AAN:  
    digitalWrite(ledPin, HIGH);  
  } 
  else {
    // zet de LED UIT:
    digitalWrite(ledPin, LOW); 
  }
}
